# Class AriaProvider

Used for configuring the ARIA attributes injected and managed by ngAria.

    angular.module('myApp', ['ngAria'], function config($ariaProvider) {
      $ariaProvider.config({
        ariaValue: true,
        tabindex: false
      });
    });

## Dependencies

Requires the ngAria module to be installed.

- Defined in directive/aria/aria.js:40

#####
Index

### Constructors

constructor

### Properties

$get
config

##
Constructors

### constructor

- new AriaProvider(): AriaProvider

- Used for configuring the ARIA attributes injected and managed by ngAria.

      angular.module('myApp', ['ngAria'], function config($ariaProvider) {
        $ariaProvider.config({
          ariaValue: true,
          tabindex: false
        });
      });

  ## Dependencies

  Requires the ngAria module to be installed.

  #### Returns AriaProvider

  - Defined in directive/aria/aria.js:40

##
Properties

### $get

$get: (() => {
$$watchExpr: ((attrName: any, ariaAttr: any, nativeAriaNodeNames: any, negate: any) => ((scope: any, elem: any, attr: any) => void));
config(key: any): any;
})

- Defined in directive/aria/aria.js:77

### config

config: ((newConfig: any) => void)

- Defined in directive/aria/aria.js:54